package ir.android_studio.screensize;

import androidx.appcompat.app.AppCompatActivity;

import android.graphics.Point;
import android.os.Bundle;
import android.util.DisplayMetrics;
import android.view.Display;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {

    TextView txtDisplay, txtDisplayMetrics;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        txtDisplay = findViewById(R.id.display);
        txtDisplayMetrics = findViewById(R.id.display_metrics);

        Display displaySize = getWindowManager().getDefaultDisplay();
        Point size = new Point();
        displaySize.getSize(size);
        int displayWidth = size.x;
        int displayHeight = size.y;

        txtDisplay.setText("Width: " + displayWidth + " / " + "Height: " + displayHeight);

        DisplayMetrics metricSize = new DisplayMetrics();
        getWindowManager().getDefaultDisplay().getMetrics(metricSize);
        int metricDisplayWidth = metricSize.widthPixels;
        int metricDisplayHeight = metricSize.heightPixels;
        int metricDPI = metricSize.densityDpi;
        float xdp = metricSize.xdpi;
        float ydp = metricSize.ydpi;

        txtDisplayMetrics.setText("Width: " + metricDisplayWidth + " / " + "Height: " + metricDisplayHeight + " DPI: " + metricDPI + " X:" + xdp + " Y:" + ydp);

    }
}
